Skip to main content
`Ctrl`+`K`

# numpy.linalg.det

linalg.det(a)

  Compute the determinant of an array.

  Parameters:
    a(…, M, M) array_like

      Input array to compute determinants for.

  Returns:
    det(…) array_like

      Determinant of a.

  See also

  `slogdet`

    Another way to represent the determinant, more suitable for large matrices where underflow/overflow may occur.

  `scipy.linalg.det`

    Similar function in SciPy.

  Notes

  Broadcasting rules apply, see the `numpy.linalg` documentation for details.

  The determinant is computed via LU factorization using the LAPACK routine `z/dgetrf`.

  Examples

  The determinant of a 2-D array [[a, b], [c, d]] is ad - bc:

      >>> import numpy as np
      >>> a = np.array([[1, 2], [3, 4]])
      >>> np.linalg.det(a)
      -2.0 # may vary

  Computing determinants for a stack of matrices:

      >>> a = np.array([ [[1, 2], [3, 4]], [[1, 2], [2, 1]], [[1, 3], [3, 1]] ])
      >>> a.shape
      (3, 2, 2)
      >>> np.linalg.det(a)
      array([-2., -3., -8.])